OTOsuite software Universe integrates individual diagnostic and fitting tools by capturing, consolidating, saving and sharing patient measurement data.

Combining it all

Audiometry, immitance, fitting and verification tools – they’re all combined in the OTOsuite™ software universe. You’ll have access to everything you need for the entire client journey via a single, intuitive software interface, making testing and data-handling more efficient, accurate and convenient.

Sharing it all

Direct integration ensures a streamlined, integrated workflow that saves you time and provides better client interaction for you both. The reporting tool in Otosuite enables you to share your results through a range of templates that can be customized with your name and logo. Otosuite is NOAH compatible and integrates with EMR/EHR through the new OTObase. Read more about our new OTObase solution here.
Learn more about OTObase
  • OTOsuite
    Audiometry and Fitting Software


  • Single point of entry to immitance, audiometry, speech mapping, hearing loss and hearing instrument simulators, probe mic measurements (PMM / REM) and Otoscopy.
  • Direct access to measurement data, counseling tools and all compatible products.
  • More effective workflow, even if you work through NOAH.
  • Short learning curve saves you time and energy.
  • Combined and customized reporting.
  • Ability to include data from non-Otometrics instruments in your report through NOAH.

System requirements

  • 1.5 GHz processor or higher (2 GHz recommended)
  • 2 GB RAM
  • 8 GB free disk space for installation of the OTOsuite software
  • Microsoft® Windows 7 SPI (32 or 64 bit), Windows 8.1 (64 bit) or Microsoft Windows 10 (32 or 64 bit)
  • All Microsoft Windows updates from Microsoft Update (or NET 4.6 installed)
  • USB port for connecting accessories, v. 1.1. or higher (v. 2.0 or higher for AURICAL® OTOcam 300 and AURICAL® HIT) 
  • DVD drive (only for a minority of features) 
  • 32 bit color display, 1024x768 screen resolution
  • 128 MB graphic memory
  • Windows-compatible sound card
  • For Noah mode operation: Noah 3/Noah 3 for ENT (ver. 3.5.2 or higher), Noah 4 (ver. 4.1 or higher) or OTObase

Knowledge Center